Enllaços
GET https://tistos.com/api/links/
curl --request GET \
--url 'https://tistos.com/api/links/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/links/' \
--header 'Authorization: Bearer {api_key}' \
| Paràmetres | Detalls | Descripció |
|---|---|---|
| search | Opcional Cadena | La cadena de cerca. |
| search_by | Opcional Cadena | Quin camp estàs cercant? Els valors permesos són: url, location_url. |
| is_enabled | Opcional Boolean | |
| project_id | Opcional Enter. | |
| domain_id | Opcional Enter. | |
| type | Opcional Cadena |
biolink, link, file, vcard, event, static |
| datetime_field | Opcional Cadena | Valors permesos: datetime, last_datetime |
| datetime_start | Opcional Cadena | Filtra els resultats a partir d'aquesta data i hora. Format Y-m-d H:i:s. |
| datetime_end | Opcional Cadena | Filtra els resultats fins a aquesta data i hora. Format Y-m-d H:i:s. |
| order_by | Opcional Cadena | Quin camp ordenar els resultats. Els valors permesos són: link_id, datetime, last_datetime, clicks, url. |
| order_type | Opcional Cadena | L'ordenació dels resultats. Els valors permesos són: ASC per a l'ordenació ascendent, i DESC per a l'ordenació descendent. |
| page | Opcional Enter. | El número de pàgina del qual vols obtenir resultats. Per defecte és 1. |
| results_per_page | Opcional Enter. | Quants resultats vols per pàgina. Els valors permesos són: 10, 25, 50, 100, 250, 500, 1000. Per defecte és 25. |
{
"data": [
{
"id": 1,
"project_id": null,
"domain_id": 0,
"type": "link",
"url": "example",
"location_url": "https://example.com/",
"settings": {
"password": null,
"sensitive_content": false
},
"clicks": 10,
"order": 0,
"start_date": null,
"end_date": null,
"datetime": "2026-07-18 11:34:52",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://tistos.com/api/links?page=1",
"last": "https://tistos.com/api/links?page=1",
"next": null,
"prev": null,
"self": "https://tistos.com/api/links?page=1"
}
}
GET https://tistos.com/api/links/{link_id}
curl --request GET \
--url 'https://tistos.com/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"project_id": null,
"domain_id": 0,
"type": "link",
"url": "example",
"location_url": "https://example.com/",
"settings": {
"password": null,
"sensitive_content": false
},
"clicks": 10,
"order": 0,
"start_date": null,
"end_date": null,
"datetime": "2026-07-18 11:34:52",
}
}
POST https://tistos.com/api/links
| Paràmetres | Detalls | Descripció |
|---|---|---|
| type | Opcional Cadena | link |
| location_url | Requerit Cadena | L'URL de la destinació.Disponible quan: is_bulk = 0 |
| location_urls | Requerit Cadena | L'URL de la destinació.Disponible quan: is_bulk = 1 |
| url | Opcional Cadena | L'alias URL de l'enllaç generat. Deixa-ho buit per generar-ne un de manera aleatòria.Disponible quan: is_bulk = 0 |
| is_bulk | Opcional Boolean | |
| domain_id | Opcional Enter. | - |
| project_id | Opcional Enter. | - |
| pixels_ids | Opcional Array Enter. | - |
| email_reports | Opcional Array | ID dels gestors de notificacions |
| schedule | Opcional Boolean | - |
| start_date | Opcional Cadena | Disponible quan: schedule = true |
| end_date | Opcional Cadena | Disponible quan: schedule = true |
| clicks_limit | Opcional Enter. | - |
| expiration_url | Opcional Cadena | - |
| sensitive_content | Opcional Boolean | - |
| http_status_code | Opcional Enter. | Valors permesos: 301, 302, 307, 308 |
| app_linking_is_enabled | Opcional Boolean | - |
| cloaking_is_enabled | Opcional Boolean | - |
| cloaking_title | Opcional Cadena | - |
| cloaking_meta_description | Opcional Cadena | - |
| cloaking_custom_js | Opcional Cadena | - |
| cloaking_favicon | Opcional Fitxer | - |
| cloaking_opengraph | Opcional Fitxer | - |
| password | Opcional Cadena | - |
| forward_query_parameters_is_enabled | Opcional Boolean | - |
| seo_block | Opcional Boolean | - |
| utm_source | Opcional Cadena | - |
| utm_medium | Opcional Cadena | - |
| utm_campaign | Opcional Cadena | - |
| targeting_type | Opcional Cadena | continent_code, country_code, device_type, browser_language, rotation, os_name, browser_name |
| targeting_continent_code_key[index] | Opcional Cadena | Disponible quan: targeting_type = continent_code |
| targeting_continent_code_value[index] | Opcional Cadena | Disponible quan: targeting_type = continent_code |
| targeting_country_code_key[index] | Opcional Cadena | Disponible quan: targeting_type = country_code |
| targeting_country_code_value[index] | Opcional Cadena | Disponible quan: targeting_type = country_code |
| targeting_city_name_key[index] | Opcional Cadena | Disponible quan: targeting_type = city_name |
| targeting_city_name_value[index] | Opcional Cadena | Disponible quan: targeting_type = city_name |
| targeting_device_type_key[index] | Opcional Cadena | Disponible quan: targeting_type = device_type |
| targeting_device_type_value[index] | Opcional Cadena | Disponible quan: targeting_type = device_type |
| targeting_browser_language_key[index] | Opcional Cadena | Disponible quan: targeting_type = browser_language |
| targeting_browser_language_value[index] | Opcional Cadena | Disponible quan: targeting_type = browser_language |
| targeting_rotation_key[index] | Opcional Cadena | Disponible quan: targeting_type = rotation |
| targeting_rotation_value[index] | Opcional Cadena | Disponible quan: targeting_type = rotation |
| targeting_os_name_key[index] | Opcional Cadena | Disponible quan: targeting_type = os_name |
| targeting_os_name_value[index] | Opcional Cadena | Disponible quan: targeting_type = os_name |
| targeting_browser_name_key[index] | Opcional Cadena | Disponible quan: targeting_type = browser_name |
| targeting_browser_name_value[index] | Opcional Cadena | Disponible quan: targeting_type = browser_name |
curl --request POST \
--url 'https://tistos.com/api/links' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'url=example' \
--form 'location_url=https://tistos.com/' \
--url 'https://tistos.com/api/links' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'url=example' \
--form 'location_url=https://tistos.com/' \
{
"data": {
"id": 1
}
}
POST https://tistos.com/api/links/{link_id}
| Paràmetres | Detalls | Descripció |
|---|---|---|
| location_url | Opcional Cadena | L'URL de la destinació. |
| url | Opcional Cadena | L'alias URL de l'enllaç generat. Deixa-ho buit per generar-ne un de manera aleatòria. |
| domain_id | Opcional Enter. | - |
| project_id | Opcional Enter. | - |
| pixels_ids | Opcional Array Enter. | - |
| email_reports | Opcional Array | ID dels gestors de notificacions |
| schedule | Opcional Boolean | - |
| start_date | Opcional Cadena | Disponible quan: schedule = true |
| end_date | Opcional Cadena | Disponible quan: schedule = true |
| clicks_limit | Opcional Enter. | - |
| expiration_url | Opcional Cadena | - |
| sensitive_content | Opcional Boolean | - |
| http_status_code | Opcional Enter. | Valors permesos: 301, 302, 307, 308 |
| app_linking_is_enabled | Opcional Boolean | - |
| cloaking_is_enabled | Opcional Boolean | - |
| cloaking_title | Opcional Cadena | - |
| cloaking_meta_description | Opcional Cadena | - |
| cloaking_custom_js | Opcional Cadena | - |
| cloaking_favicon | Opcional Fitxer | - |
| cloaking_opengraph | Opcional Fitxer | - |
| password | Opcional Cadena | - |
| forward_query_parameters_is_enabled | Opcional Boolean | - |
| seo_block | Opcional Boolean | - |
| utm_source | Opcional Cadena | - |
| utm_medium | Opcional Cadena | - |
| utm_campaign | Opcional Cadena | - |
| targeting_type | Opcional Cadena | continent_code, country_code, device_type, browser_language, rotation, os_name, browser_name |
| targeting_continent_code_key[index] | Opcional Cadena | Disponible quan: targeting_type = continent_code |
| targeting_continent_code_value[index] | Opcional Cadena | Disponible quan: targeting_type = continent_code |
| targeting_country_code_key[index] | Opcional Cadena | Disponible quan: targeting_type = country_code |
| targeting_country_code_value[index] | Opcional Cadena | Disponible quan: targeting_type = country_code |
| targeting_city_name_key[index] | Opcional Cadena | Disponible quan: targeting_type = city_name |
| targeting_city_name_value[index] | Opcional Cadena | Disponible quan: targeting_type = city_name |
| targeting_device_type_key[index] | Opcional Cadena | Disponible quan: targeting_type = device_type |
| targeting_device_type_value[index] | Opcional Cadena | Disponible quan: targeting_type = device_type |
| targeting_browser_language_key[index] | Opcional Cadena | Disponible quan: targeting_type = browser_language |
| targeting_browser_language_value[index] | Opcional Cadena | Disponible quan: targeting_type = browser_language |
| targeting_rotation_key[index] | Opcional Cadena | Disponible quan: targeting_type = rotation |
| targeting_rotation_value[index] | Opcional Cadena | Disponible quan: targeting_type = rotation |
| targeting_os_name_key[index] | Opcional Cadena | Disponible quan: targeting_type = os_name |
| targeting_os_name_value[index] | Opcional Cadena | Disponible quan: targeting_type = os_name |
| targeting_browser_name_key[index] | Opcional Cadena | Disponible quan: targeting_type = browser_name |
| targeting_browser_name_value[index] | Opcional Cadena | Disponible quan: targeting_type = browser_name |
| is_enabled | Opcional Boolean | - |
curl --request POST \
--url 'https://tistos.com/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
--url 'https://tistos.com/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
{
"data": {
"id": 1
}
}
DELETE https://tistos.com/api/links/{link_id}
curl --request DELETE \
--url 'https://tistos.com/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \